Bug 93326 - Calc: Alt+E,I,D to fill down now (LO 4.4+ ) toggles edit mode
Summary: Calc: Alt+E,I,D to fill down now (LO 4.4+ ) toggles edit mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:4.4.6 target:5.0.1
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2015-08-10 14:51 UTC by Garry Knight
Modified: 2016-10-25 19:19 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Garry Knight 2015-08-10 14:51:42 UTC
In LibreOffice version 5, a new 'feature' has appeared which caused me to lose a lot of entered data. In past versions, I could press Alt+E for the Edit menu then 'I' for Fill and 'D' for Down and it would work as expected. I used this feature a lot and it has become a useful habit.

In version 5 a new item appeared at the bottom of the Edit menu: Edit Mode Ctrl+Shift+M. This looks like it might be a useful feature but for one thing - the 'i' is underlined. So when I do Alt+E followed by 'I' my document becomes read only and is locked for editing.

Of course, I didn't notice this and twice had to refill a lot of data rows as they became lost, even after saving the document. I even went so far as to save the document as a new version, close down, and open the new version for editing only to find the same behaviour. Until I found the new item on the Edit menu.

Please, please make 'i' the default key for Fill and 'o' (or some other key) the default for Edit Mode.
Comment 1 V Stuart Foote 2015-08-11 01:13:02 UTC
Sorry, but this is not "New" as the accelerator for Edit -> Fill was eliminated and has been gone since the initial 4.4 release. Which means you are coming from a 4.3 build or even a 4.2 build.

Also, there is pending rework of Calc menus for 5.1 where Fill actions will probably be relocated from Edit menu onto a Sheet menu item on the main menu.

@Jay, @Eike your thoughts on assuring sane accelerators and shortcuts in Calc? 

At the least we should probably work with Sophie about a MozTrap test category for accelerators and shortcuts--so the ones that really are important to have defined don't get clobbered by questionable alternative uses.
Comment 2 Garry Knight 2015-08-11 19:59:40 UTC
Whether it's new or not, or whether I upgrade to the latest version is irrelevant. I'm now thinking that it's just as well that I didn't upgrade before now.

Like a great many LibreOffice users I suffer from arthritis and won't reach for the mouse any more than I absolutely need to. To access the Fill menu I now have to down no fewer than twelve presses of the Up or Down arrow, whereas before I could just press the 'I' key.

It's great that you at least think of using unique accelerator keys but it would be better if the interface were not to become more difficult for those of us with various disabilities.

By the way, I've just discovered the Ctrl+D shortcut to fill down. This makes things a little easier, but there's no equivalent key for up and right, both of which I use just about every time I use Calc.

As for the possible relocation of the Fill actions, if it happens I just hope they're accessible.

Thanks for your response.
Comment 3 Yousuf Philips (jay) (retired) 2015-08-14 17:45:12 UTC
I believe someone mistakenly removed it in 4.4, so it would be good to track down where that change was made. I pray it wasnt me. :D

(In reply to V Stuart Foote from comment #1)
> @Jay, @Eike your thoughts on assuring sane accelerators and shortcuts in
> Calc? 

I think it should be a global thing that likely should be defined in the HIG and have some of the following points.

1) Highly used entries should have the priority of using a letter and their accelerator shouldnt be duplicated. e.g. P accelerator in Edit menu should be exclusive to Paste

2) Accelerator keys that are duplicated shouldnt be more than 2 occurrences in the same menu level.

3) Entries in the same menu across multiple apps should have the same accelerator.

I've been using similar guidelines while i've been reworking the menus in 5.1.

(In reply to Garry Knight from comment #2)
> Like a great many LibreOffice users I suffer from arthritis and won't reach
> for the mouse any more than I absolutely need to. To access the Fill menu I
> now have to down no fewer than twelve presses of the Up or Down arrow,
> whereas before I could just press the 'I' key.

Hi Garry,

The simplest way to fix your issue for the time being is to add 'I' as the accelerator for Fill.

1) Open the Tools menu and select Customize.
2) Click on the Menus tab and select 'Edit' in the menu drop down.
3) Select 'Fill' in Menu Content
4) Click the 'Modify' button and select 'Rename...' from the menu.
5) Rename it to 'F~ill'
Comment 4 Eike Rathke 2015-08-17 11:17:46 UTC
(In reply to V Stuart Foote from comment #1)
> @Jay, @Eike your thoughts on assuring sane accelerators and shortcuts in
> Calc? 

Well, define them properly in the .xcu files ;-)
Comment 5 Commit Notification 2015-08-17 11:23:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a6ebbe2509b98ce471d876f3153e858282557dd

use >F~ill Cells< instead of >Fi~ll Cells< in Sheet menu, tdf#93326 related

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2015-08-17 11:50:17 UTC
Pending review
https://gerrit.libreoffice.org/17802 for 5-0
https://gerrit.libreoffice.org/17803 for 4-4
https://gerrit.libreoffice.org/17804 for 5-0-1
Comment 7 Commit Notification 2015-08-17 12:00:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe77afea53946f2869f3b6f830c8a9a1f3d2fe52

in Edit menu >Ed~it Mode< to >E~dit Mode<, tdf#93326 related

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-17 12:25:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db0eabe2493bccbb20daf92b5e7df7cd162f7808&h=libreoffice-4-4

Resolves: tdf#93326 >Fill< to >F~ill<, >Ed~it Mode< to >E~dit Mode<

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-08-17 12:25:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b2c40f9dac352fa8ffe2d20fbace667646141da&h=libreoffice-5-0

Resolves: tdf#93326 >Fill< to >F~ill<, >Ed~it Mode< to >E~dit Mode<

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-08-18 15:02:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a43a11b6580364c96d16ce8c6bfe5acd49652e5&h=libreoffice-5-0-1

Resolves: tdf#93326 >Fill< to >F~ill<, >Ed~it Mode< to >E~dit Mode<

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Yousuf Philips (jay) (retired) 2015-08-19 18:48:15 UTC
I believe there wasnt a need to change Edit Mode, as returning the accelerator to I for Fill didnt effect the bug reporters situation and now causes other modules to have a different accelerator for Edit Mode, especially now that Fill is no longer in the Edit menu in master.
Comment 12 Eike Rathke 2015-08-20 09:25:09 UTC
For 4-4 and 5-0 Fill is still in the Edit menu, so the 'I' was duplicated with Edit Mode. Not changing Edit Mode in master would had meant that, from a user's POV, the accelerator would change again in 5-1, which should be avoided. Edit Mode is an application wide accellerator defined in officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu, it is the same for all modules.
Comment 13 Adolfo Jayme 2015-08-21 23:45:56 UTC
(Do not leave bugs in UX-Advise after resolving, please)
Comment 14 Robinson Tryon (qubit) 2015-12-18 09:29:04 UTC Comment hidden (obsolete)